Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class PortletURLImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.BaseURLImpl
          org.jboss.portal.portlet.impl.jsr168.api.PortletURLImpl

All Implemented Interfaces:
  javax.portlet.BaseURL, PortletURL

    public class PortletURLImpl

extends BaseURLImpl
implements PortletURL

Version:
  $Revision: 6697 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.portlet.impl.jsr168.api.BaseURLImpl
`BaseURLImpl.InternalContainerURL`

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.BaseURLImpl
`filterable, inv, preq, secure`

Constructor Summary
`PortletURLImpl(PortletURLImpl original)`

Method Summary
`static PortletURLImpl` | `createActionURL(PortletInvocation invocation, PortletRequestImpl preq)`
`protected BaseURLImpl` | `createClone()`
`static PortletURLImpl` | `createRenderURL(PortletInvocation invocation, PortletRequestImpl preq)`
`protected void` | `filter(javax.portlet.PortletURLGenerationListener listener)`
`protected BaseURLImpl.InternalContainerURL` | `getContainerURL()`
`PortletMode` | `getPortletMode()`
`WindowState` | `getWindowState()`
`void` | `removePublicRenderParameter(java.lang.String name)`
`void` | `setPortletMode(PortletMode portletMode)` Indicates the portlet mode the portlet must be in, if this portlet URL triggers a request.
`void` | `setWindowState(WindowState windowState)` Indicates the window state the portlet should be in, if this portlet URL triggers a request.

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.BaseURLImpl
`addProperty, getParameterMap, setParameter, setParameter, setParameters, setProperty, setSecure, toString, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletURL
`setParameter, setParameter, setParameters, setSecure, toString`

Constructor Detail

### PortletURLImpl

    public PortletURLImpl(PortletURLImpl original)

Method Detail

### createActionURL

    public static PortletURLImpl createActionURL(PortletInvocation invocation,
                                                 PortletRequestImpl preq)

### createRenderURL

    public static PortletURLImpl createRenderURL(PortletInvocation invocation,
                                                 PortletRequestImpl preq)

### setWindowState

    public void setWindowState(WindowState windowState)
                        throws WindowStateException

  Description copied from interface: `PortletURL`
  Indicates the window state the portlet should be in, if this portlet URL triggers a request.

  A URL can not have more than one window state attached to it. If more than one window state is set only the last one set is attached to the URL.

  Specified by:
    `setWindowState` in interface `PortletURL`
  Parameters:
    `windowState` - the portlet window state
  Throws:
    `WindowStateException` - if the portlet cannot switch to this state, because the portal does not support this state, the portlet has not declared in its deployment descriptor that it supports this state, or the current user is not allowed to switch to this state. The `PortletRequest.isWindowStateAllowed()` method can be used to check if the portlet can set a given window state.
  See Also:
    `PortletRequest.isWindowStateAllowed(javax.portlet.WindowState)`

### setPortletMode

    public void setPortletMode(PortletMode portletMode)
                        throws PortletModeException

  Description copied from interface: `PortletURL`
  Indicates the portlet mode the portlet must be in, if this portlet URL triggers a request.

  A URL can not have more than one portlet mode attached to it. If more than one portlet mode is set only the last one set is attached to the URL.

  Specified by:
    `setPortletMode` in interface `PortletURL`
  Parameters:
    `portletMode` - the portlet mode
  Throws:
    `PortletModeException` - if the portlet cannot switch to this mode, because the portal does not support this mode, the portlet has not declared in its deployment descriptor that it supports this mode for the current markup, or the current user is not allowed to switch to this mode. The `PortletRequest.isPortletModeAllowed()` method can be used to check if the portlet can set a given portlet mode.
  See Also:
    `PortletRequest.isPortletModeAllowed(javax.portlet.PortletMode)`

### getPortletMode

    public PortletMode getPortletMode()

### getWindowState

    public WindowState getWindowState()

### removePublicRenderParameter

    public void removePublicRenderParameter(java.lang.String name)

### getContainerURL

    protected BaseURLImpl.InternalContainerURL getContainerURL()

  Specified by:
    `getContainerURL` in class `BaseURLImpl`

### createClone

    protected BaseURLImpl createClone()

  Specified by:
    `createClone` in class `BaseURLImpl`

### filter

    protected void filter(javax.portlet.PortletURLGenerationListener listener)

  Specified by:
    `filter` in class `BaseURLImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.